# Class Period

java.lang.Object
java.time.Period

public final class Period extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocalDate`
  `addTo(LocalDate date)`
  `int`
  `getDays()`
  `int`
  `getMonths()`
  `int`
  `getYears()`
  `static Period`
  `of(int years, int months, int days)`
  `static Period`
  `ofDays(int days)`
  `static Period`
  `ofMonths(int months)`
  `static Period`
  `ofYears(int years)`
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Method Details

  - ### of

    public static Period of(int years, int months, int days)

  - ### ofDays

    public static Period ofDays(int days)

  - ### ofMonths

    public static Period ofMonths(int months)

  - ### ofYears

    public static Period ofYears(int years)

  - ### getYears

    public int getYears()

  - ### getMonths

    public int getMonths()

  - ### getDays

    public int getDays()

  - ### addTo

    public LocalDate addTo(LocalDate date)

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`